Section: extra-libs

Depends : alsa-lib, bluez, cups, dbus, desktop-file-utils, double-conversion, ffmpeg, fontconfig, geoclue, glib, gst-plugins-base-1-0, harfbuzz, hicolor-icon-theme, hyphen, icu, lcms2, libb2, libdrm, libevent, libglvnd, libinput, libjpeg-turbo, libmng, libpng, libproxy, libvpx, libwebp, libxkbcommon, libxml2, libxslt, mesa, minizip, opus, pciutils, pcre2, perl, pipewire, protobuf, pulseaudio, re2, snappy, sqlite, srtp, systemd, tslib, vulkan, x11-lib, xcb-util, xcb-util-cursor, xcb-util-image, xcb-util-keysyms, xcb-util-renderutil, xcb-util-wm, xdg-utils, zlib

Depends loongson3: alsa-lib, bluez, cups, dbus, desktop-file-utils , double-conversion, fontconfig, geoclue, glib, gst-plugins-base-1-0, harfbuzz, hicolor-icon-theme, hyphen, icu, libb2, libdrm, libglvnd, libinput, libjpeg-turbo, libmng, libpng, libproxy, libxkbcommon, libxslt, mesa, pcre2, perl, protobuf, pulseaudio, re2, snappy, sqlite, srtp, systemd, tslib, vulkan, x11-lib, xcb-util, xcb-util-cursor, xcb-util-image, xcb-util-keysyms, xcb-util-renderutil, xcb-util-wm, xdg-utils, zlib

Depends ppc64el: alsa-lib, bluez, cups, dbus, desktop-file-utils , double-conversion, fontconfig, geoclue, glib, gst-plugins-base-1-0, harfbuzz, hicolor-icon-theme, hyphen, icu, libb2, libdrm, libglvnd, libinput, libjpeg-turbo, libmng, libpng, libproxy, libxkbcommon, libxslt, mesa, pcre2, perl, protobuf, pulseaudio, re2, snappy, sqlite, srtp, systemd, tslib, vulkan, x11-lib, xcb-util, xcb-util-cursor, xcb-util-image, xcb-util-keysyms, xcb-util-renderutil, xcb-util-wm, xdg-utils, zlib

Depends riscv64: alsa-lib, bluez, cups, dbus, desktop-file-utils , double-conversion, fontconfig, geoclue, glib, gst-plugins-base-1-0, harfbuzz, hicolor-icon-theme, hyphen, icu, libb2, libdrm, libglvnd, libinput, libjpeg-turbo, libmng, libpng, libproxy, libxkbcommon, libxslt, mesa, pcre2, perl, protobuf, pulseaudio, re2, snappy, sqlite, srtp, systemd, tslib, vulkan, x11-lib, xcb-util, xcb-util-cursor, xcb-util-image, xcb-util-keysyms, xcb-util-renderutil, xcb-util-wm, xdg-utils, zlib

Depends (build) : cmake, gperf, gtk-3, mariadb, ninja, nodejs, openssl, postgresql, python-2, python-3, unixodbc

Links: Changelog, Reverse dependency, Report issues

Issue 431

Library version (sover) dependency unmet

6.3.1 (amd64/qt-6.3.1)

6.3.1 (arm64/qt-6.3.1)

6.2.2 (amd64/stable)

6.2.2 (arm64/stable)

Issue 432

Library dependency without PKGDEP

6.3.1 (amd64/qt-6.3.1)

Depends: freetype, mesa, mariadb, mtdev, unixodbc, postgresql, cuda

freetype 2.10.4-1 (amd64/freetype-enable-subpixel-rendering)

  • libfreetype.so.6

mesa 1:22.1.7 (amd64/stable)

  • libgbm.so.1

mariadb 10.5.9-2 (amd64/stable)

  • libmariadb.so.3

mtdev 1.1.6 (amd64/stable)

  • libmtdev.so.1

unixodbc 2.3.9-1 (amd64/stable)

  • libodbc.so.2

postgresql 13.6 (amd64/stable)

  • libpq.so.5

cuda 11.7.0+515.43.04-1 (amd64/stable)

  • libQt6Charts.so.6
  • libQt6Concurrent.so.6
  • libQt6Core.so.6
  • libQt6DBus.so.6
  • libQt6Gui.so.6
  • libQt6Network.so.6
  • libQt6OpenGL.so.6
  • libQt6OpenGLWidgets.so.6
  • libQt6PrintSupport.so.6
  • libQt6Qml.so.6
  • libQt6Sql.so.6
  • libQt6Svg.so.6
  • libQt6Widgets.so.6
  • libQt6XcbQpa.so.6
  • libQt6Xml.so.6

6.3.1 (arm64/qt-6.3.1)

Depends: freetype, mesa, mariadb, mtdev, unixodbc, postgresql, cuda

freetype 2.10.4-1 (arm64/freetype-enable-subpixel-rendering)

  • libfreetype.so.6

mesa 1:22.1.0 (arm64/stable)

  • libgbm.so.1

mariadb 10.5.9 (arm64/stable)

  • libmariadb.so.3

mtdev 1.1.6 (arm64/stable)

  • libmtdev.so.1

unixodbc 2.3.9-1 (arm64/stable)

  • libodbc.so.2

postgresql 13.6 (arm64/stable)

  • libpq.so.5

cuda 11.7.0+515.43.04-1 (arm64/stable)

  • libQt6Charts.so.6
  • libQt6Concurrent.so.6
  • libQt6Core.so.6
  • libQt6DBus.so.6
  • libQt6Gui.so.6
  • libQt6Network.so.6
  • libQt6OpenGL.so.6
  • libQt6OpenGLWidgets.so.6
  • libQt6PrintSupport.so.6
  • libQt6Qml.so.6
  • libQt6Sql.so.6
  • libQt6Svg.so.6
  • libQt6Widgets.so.6
  • libQt6XcbQpa.so.6
  • libQt6Xml.so.6

6.3.1 (loongson3/qt-6.3.1)

Depends: freetype, mesa, mariadb, mtdev, unixodbc, postgresql

freetype 2.10.4-1 (loongson3/freetype-enable-subpixel-rendering)

  • libfreetype.so.6

mesa 1:22.1.0 (loongson3/stable)

  • libgbm.so.1

mariadb 10.5.9 (loongson3/stable)

  • libmariadb.so.3

mtdev 1.1.6 (loongson3/stable)

  • libmtdev.so.1

unixodbc 2.3.9-1 (loongson3/stable)

  • libodbc.so.2

postgresql 13.6 (loongson3/stable)

  • libpq.so.5

6.2.2 (amd64/stable)

Depends: freetype, mesa, gtk-3, mariadb, mtdev, unixodbc, postgresql

freetype 2.10.4 (amd64/stable)

  • libfreetype.so.6

mesa 1:21.3.3 (amd64/stable)

  • libgbm.so.1

gtk-3 3.24.30 (amd64/stable)

  • libgdk-3.so.0
  • libgtk-3.so.0

mariadb 10.5.9-2 (amd64/stable)

  • libmariadb.so.3

mtdev 1.1.6 (amd64/stable)

  • libmtdev.so.1

unixodbc 2.3.9-1 (amd64/stable)

  • libodbc.so.2

postgresql 13.5 (amd64/stable)

  • libpq.so.5

6.2.2 (arm64/stable)

Depends: freetype, mesa, gtk-3, mariadb, mtdev, unixodbc, postgresql

freetype 2.10.2 (arm64/stable)

  • libfreetype.so.6

mesa 1:21.3.3 (arm64/stable)

  • libgbm.so.1

gtk-3 3.24.30 (arm64/stable)

  • libgdk-3.so.0
  • libgtk-3.so.0

mariadb 10.5.9 (arm64/stable)

  • libmariadb.so.3

mtdev 1.1.6 (arm64/stable)

  • libmtdev.so.1

unixodbc 2.3.9-1 (arm64/stable)

  • libodbc.so.2

postgresql 13.5 (arm64/stable)

  • libpq.so.5

6.2.2 (loongson3/stable)

Depends: freetype, mesa, gtk-3, mariadb, mtdev, unixodbc, postgresql

freetype 2.10.4 (loongson3/stable)

  • libfreetype.so.6

mesa 1:21.3.3 (loongson3/stable)

  • libgbm.so.1

gtk-3 3.24.30 (loongson3/stable)

  • libgdk-3.so.0
  • libgtk-3.so.0

mariadb 10.5.9 (loongson3/stable)

  • libmariadb.so.3

mtdev 1.1.6 (loongson3/stable)

  • libmtdev.so.1

unixodbc 2.3.9-1 (loongson3/stable)

  • libodbc.so.2

postgresql 13.5 (loongson3/stable)

  • libpq.so.5

6.2.2 (riscv64/stable)

Depends: freetype, mesa, mariadb, mtdev, unixodbc, postgresql

freetype 2.10.4 (riscv64/stable)

  • libfreetype.so.6

mesa 1:22.1.0 (riscv64/stable)

  • libgbm.so.1

mariadb 10.5.9-2 (riscv64/stable)

  • libmariadb.so.3

mtdev 1.1.6-1 (riscv64/stable)

  • libmtdev.so.1

unixodbc 2.3.9-1 (riscv64/stable)

  • libodbc.so.2

postgresql 13.6 (riscv64/stable)

  • libpq.so.5